# CodiMD

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/codimd/status.svg)](https://drone.autonomic.zone/compose-stacks/codimd)

[CodiMD][codimd] using Coöp Cloud ♥

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. `abra secret_generate db_password v1`
7. `abra deploy`
9. Create initial user:
	```
	abra run codimd bash
	. /docker-entrypoint2.sh -e
	bin/manage_users
	```

[codimd]: https://github.com/hackmdio/codimd
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/compose-stacks/traefik
